<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:variable name="eahv-iv-common">EO-Register-Meldung</xsl:variable>
	<xsl:variable name="eahv-iv-common.pages">Seiten</xsl:variable>
	<xsl:variable name="eahv-iv-common.dateOfReceipt">Eingangsdatum</xsl:variable>
	
	<!-- message content -->
	<xsl:variable name="eahv-iv-2015-common.deliveryOffice">Meldende Kasse</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.officeIdentifier">Kassennummer</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.branch">Zweigstellennummer	</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.numberOfChildren">Anzahl Kinder</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.referenceNumber">Referenznummer</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.controlNumber">Kontrollnummer</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.breakRules">BreakRule-Code</xsl:variable>
	<!-- Command Detail-->
	<xsl:variable name="eahv-iv-2015-common.inProgress">In Progress</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.inConflict">In Konflikt</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canceled">Annuliert</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.history">Historie</xsl:variable>
	
	
	<xsl:variable name="eahv-iv-2015-common.yes">Ja	</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.no">Nein</xsl:variable>
	
	<!-- message header -->
	<xsl:variable name="eahv-iv-2015-common.senderId">Absender-ID</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.recipientId">Empfänger-ID</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.messageId">Nachrichten-ID</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.messageType">Nachrichtentyp</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.sendingApplication">Sendeanwendung</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.messageDate">Nachrichtendatum</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.eventDate">Ereignisdatum</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.testDeliveryFlag">Markierung Testlieferung</xsl:variable>
	
	<xsl:variable name="eahv-iv-2015-common.canton">Kanton</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.1">Zürich</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.2">Bern</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.3">Luzern</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.4">Uri</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.5">Schwyz</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.6">Obwalden</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.7">Nidwalden</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.8">Glarus</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.9">Zug</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.10">Freiburg</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.11">Solothurn</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.12">Basel-Stadt</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.13">Basel-Landschaft</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.14">Schaffhausen</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.15">Appenzell Ausserrhoden</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.16">Appenzell Innerrhoden</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.17">St. Gallen</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.18">Graubünden</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.19">Aargau</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.20">Thurgau</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.21">Tessin</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.22">Waadt</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.23">Wallis</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.24">Neuenburg</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.25">Genf</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.canton.50">Jura</xsl:variable>
	
	<xsl:variable name="eahv-iv-2015-common.country">Land</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.100">Schweiz</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.201">Albanien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.202">Andorra</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.204">Belgien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.205">Bulgarien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.206">Dänemark</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.207">Deutschland</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.211">Finnland</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.212">Frankreich (einschl. überseeische Gebiete)</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.214">Griechenland</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.215">Vereinigtes Königreich (Grossbritannien)</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.216">Irland</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.217">Island</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.218">Italien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.222">Liechtenstein</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.223">Luxemburg</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.224">Malta</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.226">Monaco</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.227">Niederlande (einschl. überseeische Gebiete)</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.228">Norwegen</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.229">Oesterreich</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.230">Polen</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.231">Portugal (einschl. überseeische Gebiete)</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.232">Rumänien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.233">San Marino</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.234">Schweden</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.235">Aufgehoben (frühere Sowjetunion)</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.236">Spanien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.239">Türkei</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.240">Ungarn</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.241">Vatikanstadt</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.242">Zypern</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.243">Slowakei</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.244">Tschechische Republik</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.249">Serbien und Montenegro</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.250">Kroatien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.251">Slowenien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.252">Bosnien und Herzegowina</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.255">Mazedonien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.260">Estland</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.261">Lettland</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.262">Litauen</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.263">Moldova</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.264">Russland</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.265">Ukraine</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.266">Belarus</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.301">Aequatorialguinea</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.302">Aethiopien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.303">Dschibuti</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.304">Algerien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.305">Angola</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.307">Botsuana</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.308">Burundi</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.309">Benin</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.310">Côte d’Ivoire</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.311">Gabun</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.312">Gambia</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.313">Ghana</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.314">Guinea-Bissau</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.315">Guinea</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.317">Kamerun</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.319">Kap Verde</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.320">Kenia</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.321">Komoren</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.322">Kongo (Brazzaville)</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.323">Kongo (Kinshasa)</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.324">Lesotho</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.325">Liberia</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.326">Libyen</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.327">Madagaskar</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.329">Malawi</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.330">Mali</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.331">Marokko</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.332">Mauretanien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.333">Mauritius</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.334">Mosambik</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.335">Niger</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.336">Nigeria</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.337">Burkina Faso</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.340">Simbabwe</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.341">Ruanda</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.343">Sambia</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.344">Sao Tomé und Principe</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.345">Senegal</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.346">Seychellen</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.347">Sierra Leone</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.348">Somalia</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.349">Südafrika</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.350">Sudan</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.351">Namibia</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.352">Swasiland</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.353">Tansania</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.354">Togo</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.356">Tschad</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.357">Tunesien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.358">Uganda</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.359">Aegypten</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.360">Zentral-afrikanische Republik</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.362">Eritrea</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.401">Argentinien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.402">Bahamas</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.403">Barbados</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.405">Bolivien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.406">Brasilien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.407">Chile</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.408">Costa Rica</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.409">Dominikanische Republik</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.410">Ecuador</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.411">El Salvador</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.415">Guatemala</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.417">Guyana</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.418">Haiti</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.419">Belize</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.420">Honduras</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.421">Jamaika</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.423">Kanada</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.424">Kolumbien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.425">Kuba</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.427">Mexiko</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.429">Nicaragua</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.430">Panama</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.431">Paraguay</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.432">Peru</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.435">Suriname</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.436">Trinidad und Tobago</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.437">Uruguay</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.438">Venezuela</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.439">USA (Vereinigte Staa-ten)</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.440">Dominica</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.441">Grenada</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.442">Antigua und Barbuda</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.443">St. Lucia</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.444">St. Vincent und die Grenadinen</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.445">St. Kitts und Nevis</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.501">Afghanistan</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.502">Bahrain</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.503">Bhutan</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.504">Brunei Darussalam</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.505">Myanmar</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.506">Sri Lanka</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.507">China (Taiwan)</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.508">China</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.510">Indien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.511">Indonesien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.512">Irak</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.513">Iran</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.514">Israel</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.515">Japan</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.516">Jemen</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.517">Jordanien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.518">Kambodscha</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.519">Katar</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.521">Kuwait</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.522">Laos</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.523">Libanon</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.525">Malaysia</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.526">Malediven</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.527">Oman</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.528">Mongolei</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.529">Nepal</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.530">Korea (Nord-)</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.532">Arabische Emirate, Vereinigte</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.533">Pakistan</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.534">Philippinen</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.535">Saudi-Arabien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.537">Singapur</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.539">Korea (Süd-)</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.541">Syrien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.542">Thailand</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.545">Vietnam</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.546">Bangladesch</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.547">Timor-Leste</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.560">Armenien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.561">Aserbaidschan</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.562">Georgien</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.563">Kasachstan</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.564">Kirgisistan</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.565">Tadschikistan</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.566">Turkmenistan</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.567">Usbekistan</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.country.601">Australien</xsl:variable>
    <xsl:variable name="eahv-iv-2015-common.country.602">Fidschi (Inseln)</xsl:variable>
    <xsl:variable name="eahv-iv-2015-common.country.604">Nauru</xsl:variable>
    <xsl:variable name="eahv-iv-2015-common.country.605">Vanuatu</xsl:variable>
    <xsl:variable name="eahv-iv-2015-common.country.607">Neuseeland</xsl:variable>
    <xsl:variable name="eahv-iv-2015-common.country.608">Papua-Neuguinea</xsl:variable>
    <xsl:variable name="eahv-iv-2015-common.country.610">Tonga</xsl:variable>
    <xsl:variable name="eahv-iv-2015-common.country.612">Samoa</xsl:variable>
    <xsl:variable name="eahv-iv-2015-common.country.614">Salomoninseln</xsl:variable>
    <xsl:variable name="eahv-iv-2015-common.country.615">Tuvalu</xsl:variable>
    <xsl:variable name="eahv-iv-2015-common.country.616">Kiribati</xsl:variable>
    <xsl:variable name="eahv-iv-2015-common.country.617">Marshallinseln</xsl:variable>
    <xsl:variable name="eahv-iv-2015-common.country.618">Mikronesien</xsl:variable>
    <xsl:variable name="eahv-iv-2015-common.country.619">Palau</xsl:variable>
    <xsl:variable name="eahv-iv-2015-common.country.998">Staatenlos</xsl:variable>
    <xsl:variable name="eahv-iv-2015-common.country.999">Staat unbekannt oder nicht angegeben</xsl:variable>
    
    <!-- service types -->
	<xsl:variable name="eahv-iv-2015-common.serviceType.10">Normaldienst</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.11">Dienst als Rekrut</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.12">Gradänderungsdienst</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.13">Rekrutierung</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.14">Durchdiener Uof</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.15">Unterbruch vor UOS</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.16">Unterbruch während Gradänderungsdiensten</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.20">Dienstleistungen Mannschaft (ohne Kader und Spezialisten)</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.21">Grundausbildung</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.22">Dienstleistungen Kader und Spezialisten</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.23">Dienstleistungen Kommandant / Kommandantin</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.30">Kaderbildung Jugend und Sport</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.40">Normaldienst</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.41">Dienst mit Rekrutenansatz</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.50">Jungschützenleiterkurs</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.90">Mutterschaftsentschädigung</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.91">Vaterschaftsentschädigung</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.92">Betreuungsentschädigung</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.serviceType.93">Adoptionsentschädigung</xsl:variable>
	
	<!-- paymentMethod -->
	<xsl:variable name="eahv-iv-2015-common.paymentMethod.1">an leistungsberechtigte Person direkt</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.paymentMethod.2">an Arbeitgeber</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.paymentMethod.3">Aufteilung zwischen Arbeitgeber und versicherter Person</xsl:variable>
	<xsl:variable name="eahv-iv-2015-common.paymentMethod.4">Aufteilung zwischen mehreren Arbeitgeber sowie mit oder ohne der versicherten Person</xsl:variable>

</xsl:stylesheet>